KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataGeometry Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataMultiGeometry, Marble.GeoDataPoint, Marble.GeoDataPolygon, Marble.GeoDataLineString
Namespace: Marble.GeoDataGeometry

## Detailed Description

A base class for all geodata features

GeoDataGeometry is the base class for most geodata classes that deal with geometric data (points, linestrings, polygons, etc.)

See also:
  GeoDataLineString

See also:
  GeoDataLinearRing

See also:
  GeoDataPolygon

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataGeometry other)
| __init__ (self, Marble.GeoDataPolygon other)
| __init__ (self, Marble.GeoDataPoint other)
| __init__ (self, Marble.GeoDataLineString other)
| __init__ (self, Marble.GeoDataMultiGeometry other)
Marble.AltitudeMode | altitudeMode (self)
| detach (self)
bool | extrude (self)
EnumGeometryId | geometryId (self)
bool | isFolder (self)
QString | nodeType (self)
bool | operator == (self, Marble.GeoDataGeometry other)
| pack (self, QDataStream stream)
| setAltitudeMode (self, Marble.AltitudeMode altitudeMode)
| setExtrude (self, bool extrude)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataPolygon | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataPoint | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataLineString | other
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataMultiGeometry | other
| ) |  |  |

Marble.AltitudeMode altitudeMode | ( |  | self ) |

detach | ( |  | self ) |

bool extrude | ( |  | self ) |

EnumGeometryId geometryId | ( |  | self ) |

bool isFolder | ( |  | self ) |

QString nodeType | ( |  | self ) |

bool operator == | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setAltitudeMode | ( | self, |
|  | Marble.AltitudeMode | altitudeMode
| ) |  |  |

setExtrude | ( | self, |
|  | bool | extrude
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |